세계 보안 엑스포  전자정부 솔루션 페어  개인정보보호 페어  국제 사이버 시큐리티 컨퍼런스  세계 태양에너지 엑스포  스마트팩토리  세계 다이어트 엑스포  INFO-CON
[12.29 버그리포트] CVE-2016-9756 外
  |  입력 : 2016-12-29 11:50
페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기
CVE-2016-9756, CVE-2016-9777, CVE-2016-9793
CVE-2016-9794, CVE-2016-9806


[보안뉴스 문가용 기자] 현지 시각으로 12월 28일, 우리나라 시간으로는 대략 28일에서 29일로 넘어오는 밤 사이에 미국의 National Vulnerability Database을 통해 발표된 취약점들이다.


1. CVE-2016-9756
리눅스 커널 4.8.12 이전 버전의 arch/x86/kvm/emulate.c의 취약점으로 특정 오류가 발생하는 상황에서 Code Segment를 올바로 시작하지 않는다. 이로써 로컬의 사용자들이 민감한 정보를 커널 스택 메모리로부터 취득할 수 있게 된다.

2. CVE-2016-9777
리눅스 커널 4.8.12 이전 버전의 KVM의 취약점으로 I/O APIC이 활성화되었을 때 VCPU 인덱스를 올바로 제한하지 않는다. 이로써 게스트 OS 사용자가 호스트 OS 사용자의 권한을 갖게 되거나 DOS 공격을 할 수 있게 된다. arch/x86/kvm/ioapic.c 및 arch/x86/kvm/ioapic.h와 관련이 있다.

3. CVE-2016-9793
리눅스 커널 4.8.14 이전 버전의 net/core/sock.c의 sock_setsockopt 함수에 있는 취약점으로 sk_sndbuf와 sk_rcvbuf의 음수값을 잘못 처리한다. 이 때문에 로컬 사용자들이 DoS 공격을 할 수 있게 된다.

4. CVE-2016-9794
리눅스 커널 4.7 이전 버전의 ALSA 서브시스템의 sound/core/pcm_lib.c의 snd_pcm_period_elapsed 함수의 Race Condition의 취약점으로 로컬의 사용자가 DoS 공격을 할 수 있게 해준다. SNDRV_PCM_TRIGGER_START 명령과 관계가 있다.

5. CVE-2016-9806
리눅스 커널 4.6.3 이전 버전의 net/netlink/af_netlink.c의 netlink_dump 함수의 Race Condition의 취약점으로 로컬의 사용자가 DoS 공격을 할 수 있게 해준다.
[국제부 문가용 기자(globoan@boannews.com)]

<저작권자: 보안뉴스(www.boannews.com) 무단전재-재배포금지>



정부에서 가상화폐의 거래 투명성을 확보하기 위한 가상화폐 거래소 규제 방안을 마련했습니다. 정부의 가상화폐 정책에 있어 가장 중요한 원칙은 무엇이라고 보시나요?
모든 가상화폐는 시장 원리에 따라 정부의 개입이나 규제는 최소화되어야 함.
모든 가상화폐는 통화로 인정할 수 없다는 것을 전제로 보다 적극적인 규제에 나서야 함.
가상화폐 중 암호화폐의 경우 정식 통화로 인정하고 이에 따른 대안을 마련해야 함.
가상화폐중 비트코인 등의 암호화폐와 그 외의 가상화폐를 분리 대응해야 함.
기타(댓글로)